<%= error_messages_for :persona %>
<div class="contenido">
  <h1>Modificar persona</h1>

  <% form_for :persona do |f| %>

  <%= render :partial => 'formulario', :locals => { :f => f } %>

  <%= submit_tag 'Modificar persona' %>

  <% end -%>

</div>

<div class='contenido'>
  <h1>Cuentas corrientes</h1>
  <% if @cuentas_corrientes.size > 0 %>
  <table>
    <tr>
      <th>Banco</th>
      <th>Número</th>
      <th>Acciones</th>
    </tr>

    <% @cuentas_corrientes.each do |cuenta| %>
    <tr class=<%= cycle('listado-par', 'listado-impar')%> >
      <td><%= cuenta.banco.nombre %></td>
      <td><%= cuenta.numero %></td>
      <td>
        <!--        <%= link_to image_tag("editar.png", :title => 'Editar cuenta corriente'), :action => 'editar_cuenta_corriente', :id => cuenta %> -->
        <%= link_to image_tag("borrar.png", :title => 'Eliminar cuenta corriente'), {:action => 'eliminar_cuenta_corriente', :id => cuenta}, {:confirm => "¿Está seguro que desea eliminar esta cuenta corriente?"} %>
      </td>
    </tr>
    <% end %>
  </table>
  <% end %>
  <%= link_to 'Agregar cuenta corriente', :action => 'agregar_cuenta_corriente', :id => @persona %>
</div>

<div class="contenido">
  <h1>Tarjetas de crédito</h1>
  <% if @tarjetas.size > 0 %>
  <table>
    <tr>
      <th>Tipo</th>
      <th>Número</th>
      <th>Fecha de vencimiento</th>
      <th>Acciones</th>
    </tr>
    <% @tarjetas.each do |tarjeta| %>
    <tr class=<%= cycle('listado-par', 'listado-impar')%> >
      <td><%= tarjeta.tipo.nombre %></td>
      <td><%= tarjeta.numero_enmascarado %></td>
      <td><%= tarjeta.fecha_de_vencimiento.strftime("%b-%Y") %></td>
      <td>
        <!--        <%= link_to image_tag("editar.png", :title => 'Editar tarjeta de crédito'), :action => 'editar_tarjeta', :id => tarjeta %> -->
        <%= link_to image_tag("borrar.png", :title => 'Eliminar tarjeta de crédito'), {:action => 'eliminar_tarjeta', :id => tarjeta}, {:confirm => "¿Está seguro que desea eliminar esta tarjeta de crédito?"} %>
      </td>
    </tr>
    <% end %>
  </table>
  <% end %>
  <%= link_to 'Agregar tarjeta de crédito', :action => 'agregar_tarjeta', :id => @persona %>
</div>

<% unless @tarjetas.size + @cuentas_corrientes.size == 0 %>
<div class="contenido">
  <h1>Mandatos</h1>
  <% unless @mandatos.empty? %>
  <table>
    <tr>
      <th>Monto</th>
      <th>Período inicial</th>
      <th>Período final</th>
      <th>Fecha de creación</th>
      <th>Medio de pago</th>
      <th>Acciones</th>
    </tr>
    <% @mandatos.each do |mandato| %>
    <% style_cl = cycle('listado-par', 'listado-impar') %>
    <% style_cl += " inhabilitado" unless mandato.habilitado? %>
    <% style_cl = "\'" + style_cl + "\'" %>
    <tr class=<%= style_cl %>>
      <td><%= "#{mandato.moneda.simbolo} #{mandato.monto}" %></td>
      <td><%= mandato.periodo_inicial %></td>
      <td>
        <% if mandato.indefinido? %>
        indefinido
        <% else %>
        <%= mandato.periodo_final %>
        <% end %>
      </td>
      <td><%= mandato.fecha_de_creacion %></td>
      <td>
        <% if mandato.medio_de_pago.type == TarjetaDeCredito %>
        Tarjeta <%= mandato.medio_de_pago.tipo.nombre %> <%= mandato.medio_de_pago.numero_enmascarado %> (<%= mandato.medio_de_pago.fecha_de_vencimiento.strftime("%b-%Y") %>) 
        <% elsif mandato.medio_de_pago.type == CuentaCorriente %>
        Cuenta <%= mandato.medio_de_pago.banco.nombre %> <%= mandato.medio_de_pago.numero %> 
        <% end %>
      </td>
      <td>
        <!-- <%= link_to image_tag("editar.png", :title => 'Editar mandato'), :action => 'editar_mandato', :id => mandato %> -->
        <%= link_to image_tag("borrar.png", :title => 'Inhabilitar mandato'), {:action => 'inhabilitar_mandato', :id => mandato}, :confirm => "¿Está seguro que desea inhabilitar este mandato?" %>
      </td>
    </tr>
    <% end %>
  </table>
  <% end %>
  <%= link_to 'Agregar mandato', :action => 'agregar_mandato', :id => @persona %>
</div>

<% unless @donaciones.empty? %>
<div class="contenido">
  <h1>Historial de donaciones</h1>
  <table>
    <tr>
      <th>Proceso</th>
      <th>Fecha</th>
      <th>Monto</th>
      <th>Monto efectivo</th>
      <th>Respuesta banco</th>
    </tr>
    <% @donaciones.each do |donacion| %>
    <tr class=<%= cycle('listado-par', 'listado-impar')%> >
      <td><%= link_to(donacion.proceso.id, {:controller => 'procesos', :action => 'ver_detalles', :id => donacion.proceso.id}) %></td>
      <td><%= donacion.proceso.fecha %></td>
      <td><%= dinero donacion.monto_real %></td>
      <td><%= dinero donacion.monto_efectivo %></td>
      <td><%= donacion.respuesta.descripcion if donacion.respuesta %></td>
    </tr>
    <% end %>
  </table>
</div>
<% end %>
<% end %>

